.top-menu
    padding: 16px 24px
    height: 80px
    width: auto

    display: flex
    justify-content: center
    align-items: center

    background: #fff

.logo
    width: calc( 172px / 35 * 32 )
    height: 32px

    fill: var(--text-color)

.content
    height: 100%
    width: auto
    
    display: flex
    align-items: center
    justify-content: center

    box-shadow: inset 0px 2px 16px rgba(0, 0, 0, 0.1)

.background
    width: 100%
    height: 100%

    background-image: url(https://s3-alpha-sig.figma.com/img/cb0e/31c9/0a8c310daa3f1e8947b55f56505748a4?Expires=1654473600&Signature=YUux5eRB6zAGg12rja9uH7HFaA~rUA48oJ3pFkFdocz18qlyEHQrf2yNK14DgdpbwD5Gv5l39odN2cd9ZQhBYpfmJG1Rby5RDtKqvoXwUCVuYxddDB3YWLfA9Ibt7899P6qXI3XXRTUgx8sODw6g~LZNa-YxX5uzf-F7~21wrvffXiOjCQpLj5DS5UgQtDkFjbe-0KHzSCYpQDr7YHauuxkc7erjcCr~qZ9h-S-ZkxJKD5VfY9OuJpq6E6bnf7RIamVsB7YSTFmCh8h4Yfp~3NSSoPzK3bv36tEKm02YqmkslXuyyMfkPwgpIpGmmvWwra8su3ykcIA4~vmNf6xkWQ__&Key-Pair-Id=APKAINTVSUGEWH5XD5UA)
    background-repeat: no-repeat
    background-size: cover
    background-position: center

    filter: blur(64px)

.auth-window
    position: absolute
    padding: 32px 48px
    
    display: flex
    justify-content: center
    align-items: center
    flex-direction: column

    box-shadow: 0px 2px 16px rgba(0, 0, 0, 0.1)
    background-color: #fff

    border-radius: 24px
    gap: 18px

    .title
        user-select: none
        font-family: 'Montserrat'
        font-style: normal
        font-weight: 400
        font-size: 32px
        line-height: 39px
        color: var(--text-color)

    .input-container
        height: 48px

        display: flex
        align-items: center
        padding: 12px 24px

        position: relative
        font-family: 'Montserrat'
        font-style: normal
        font-weight: 500
        font-size: 16px
        line-height: 24px
        color: var(--text-color)

        border: 3px solid #131313
        border-radius: 24px

    .input
        border: 0
        
        font-family: 'Montserrat'
        font-style: normal
        font-weight: 500
        font-size: 16px
        line-height: 24px
        color: var(--text-color)

        &:focus
            outline: none

    .password-icon
        position: absolute
        right: 10px

        width: 24px
        height: 24px
        
        opacity: 0.5
        cursor: pointer
        transition: all 0.2s ease-in

        &:hover
            transform: scale(1.1)

        &:active
            transform: scale(0.9)

    .enter
        padding: 12px 24px

        font-family: 'Montserrat'
        font-style: normal
        font-weight: 500
        font-size: 18px

        border-radius: 48px
        cursor: pointer
        user-select: none

        background-color: #131313
        color: #fafafa